commit 76f4d2e764f0fdb089678d1db3967391eb2f4077
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Nov 1 10:16:38 2021 +0100

    Poppler 21.11.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 21 +++++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 26 insertions(+), 5 deletions(-)

commit 352170ad66fe14c1d1dc9435be7f5770710db9c3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Nov 1 00:40:56 2021 +0100

    Remove check for field being null

    We're already using it unconditionally a few lines above

 poppler/Annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b15bf352a39208876b2e6f28c809290ccdf08eb8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Nov 1 00:35:21 2021 +0100

    StructElement::parseChild: Fix memory leak

 poppler/StructElement.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9af5896fcf8d3c426cd958c662765411f05c1498
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 30 01:31:33 2021 +0200

    Add const to NameTree::getName

 poppler/Catalog.cc | 4 ++--
 poppler/Catalog.h  | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 03f80c64305157fbebff73cd57f582086e2cafdf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 30 01:16:10 2021 +0200

    Make makeWordList return a unique_ptr

 poppler/TextOutputDev.cc | 6 +++---
 poppler/TextOutputDev.h  | 4 ++--
 qt5/src/poppler-page.cc  | 7 ++-----
 qt6/src/poppler-page.cc  | 7 ++-----
 utils/pdftotext.cc       | 5 ++---
 5 files changed, 11 insertions(+), 18 deletions(-)

commit c66a781cac176a525a7d6e2042f50f89892a2f2a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 30 01:08:42 2021 +0200

    Make getLinks return a unique_ptr

    Fixes a leak in pdfinfo

 poppler/PDFDoc.cc      |  4 ++--
 poppler/PDFDoc.h       |  2 +-
 poppler/Page.cc        | 14 +++++---------
 poppler/Page.h         |  4 ++--
 utils/HtmlOutputDev.cc |  3 +--
 utils/pdfinfo.cc       |  2 +-
 6 files changed, 12 insertions(+), 17 deletions(-)

commit b0571a9e87f05785a9643b38768c711f0064b763
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 30 00:58:27 2021 +0200

    Remove two mutables that aren't really needed

 glib/poppler-structure-element.cc | 44
 +++++++++++++++++++--------------------
 poppler/StructElement.h           |  6 +++---
 2 files changed, 25 insertions(+), 25 deletions(-)

commit 4b2d2d0232098f57ae7e4504a4fd9397bf74f768
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 30 00:53:34 2021 +0200

    Make function return std::unique if caller owns the pointer

 poppler/StructElement.h | 2 +-
 utils/pdfinfo.cc        | 3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit fa14391c97b8a35844a943102c0c579964301aff
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 29 16:46:11 2021 +0200

    Move another GlobalParam to the OutputDevs where it belongs

 poppler/GlobalParams.cc   |  7 -------
 poppler/GlobalParams.h    |  3 ---
 poppler/PSOutputDev.cc    |  6 +++---
 poppler/PSOutputDev.h     |  2 ++
 poppler/SplashOutputDev.h |  3 +--
 utils/pdftoppm.cc         | 11 ++++++++---
 utils/pdftops.cc          |  6 +++---
 7 files changed, 17 insertions(+), 21 deletions(-)

commit 3a82fc29f025fcb1ab4b41d519efb916ba297c6f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 29 16:30:09 2021 +0200

    Move two variables from GlobalParams to PSOutputDev

    Only place they are ever used

 poppler/GlobalParams.cc | 26 --------------------------
 poppler/GlobalParams.h  |  6 ------
 poppler/PSOutputDev.cc  |  2 +-
 poppler/PSOutputDev.h   |  4 ++++
 utils/pdftops.cc        | 14 +++++++-------
 5 files changed, 12 insertions(+), 40 deletions(-)

commit c297b22e096cd853973d8d670be383d9e38b96a8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 29 16:13:13 2021 +0200

    Change GlobalParams::getEncodingNames to something saner

 poppler/GlobalParams.cc |  8 ++++----
 poppler/GlobalParams.h  |  2 +-
 utils/printencodings.cc | 12 +++++-------
 3 files changed, 10 insertions(+), 12 deletions(-)

commit 5b18fb371d41a6f551f04caf418d1140062c4870
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 29 15:48:42 2021 +0200

    determineFallbackFont: Change parameter from GooString * to
    std::string

 poppler/Annot.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit f897e21bc6e6823ed2912d8a496469eed41ca1da
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 29 15:39:39 2021 +0200

    Change some std::vector * to std::vector

    If we always new and always delete them, no need to have a pointer

 poppler/GlobalParams.cc    | 28 +++++++++++-----------------
 poppler/GlobalParams.h     |  2 +-
 poppler/GlobalParamsWin.cc |  4 ++--
 utils/HtmlLinks.cc         | 23 ++++++++---------------
 utils/HtmlLinks.h          | 12 ++++++------
 utils/HtmlOutputDev.cc     | 34 +++++++++++++++-------------------
 utils/HtmlOutputDev.h      | 10 +++++-----
 7 files changed, 48 insertions(+), 65 deletions(-)

commit 406c83c465ddae11d98dcd2f9033b0cd0b262255
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 29 15:09:27 2021 +0200

    FormFieldText::tokenizeDA: Return a vector of strings instead of a
    vector of pointers

    Makes it for simpler memory management

 poppler/Annot.cc | 25 +++++++++++--------------
 poppler/Form.cc  | 33 +++++++++++----------------------
 poppler/Form.h   |  4 ++--
 3 files changed, 24 insertions(+), 38 deletions(-)

commit aba39d21302dcf53af6961cf6739c510532c683c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 29 14:52:03 2021 +0200

    No need to new a vector that we always end deleting later

 poppler/Annot.cc | 142
 ++++++++++++++++++++++---------------------------------
 poppler/Form.cc  |   9 ++--
 2 files changed, 60 insertions(+), 91 deletions(-)

commit 94d9d102f77312d808b7b65112d0a530a7ca4a12
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 29 14:34:13 2021 +0200

    Port a few functions from GooString to std::string

 goo/GooString.h                    |  3 ++-
 poppler/Annot.cc                   |  2 +-
 poppler/DateInfo.cc                |  4 ++--
 poppler/Form.cc                    | 18 +++++++++---------
 poppler/Form.h                     |  2 +-
 poppler/JSInfo.cc                  |  4 ++--
 poppler/Outline.cc                 |  4 ++--
 poppler/TextOutputDev.cc           |  2 +-
 poppler/UTF.cc                     | 22 +++++++++++-----------
 poppler/UTF.h                      |  6 +++---
 qt5/tests/check_utf_conversion.cpp | 16 ++++++++--------
 qt6/tests/check_utf_conversion.cpp | 16 ++++++++--------
 utils/pdfinfo.cc                   |  2 +-
 utils/pdfsig.cc                    |  4 ++--
 14 files changed, 53 insertions(+), 52 deletions(-)

commit ce644167f258e5a2f53e26976514a14866c77365
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 26 23:40:41 2021 +0200

    CI: Enable -Werror in the clang 13 builder too

    We have it on the clazy builder too, but unfortunately clazy is still
    built against clang 11 in debian:unstable so we get less coverage
    there

 .gitlab-ci.yml                     | 2 +-
 glib/poppler-cached-file-loader.cc | 4 +---
 poppler/CairoOutputDev.cc          | 3 ---
 3 files changed, 2 insertions(+), 7 deletions(-)

commit 967a1a1ab038baf03c6f4b5faffc106dec559ce6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 26 23:02:28 2021 +0200

    CI: Use clang 13

    bugprone-implicit-widening-of-multiplication-result may be nice to
    enable one day, together with gcc's -Wconversion ^_^

 .gitlab-ci.yml      | 18 +++++++++---------
 README.contributors |  2 +-
 2 files changed, 10 insertions(+), 10 deletions(-)

commit b8fd5b275b7f0ed1f9460db16e7c5a569ded3d35
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 26 22:56:56 2021 +0200

    CI: Also compile the qt6 frontend code in mingw

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 09e2384245ea44c98254fd629c1a7b68a0b2a5aa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 26 22:34:52 2021 +0200

    CI: Use fedora 35 for the mingw builder

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f18e9f9f1eb562e4bbc23c413c522996696e90df
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 26 22:28:26 2021 +0200

    Fix crash in malformed files

 poppler/JBIG2Stream.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit fa27a6349e2795503e46720cce6c4b19996990d7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 24 23:26:36 2021 +0200

    refine PageLabelInfo::labelToIndex + intervals without style

 poppler/PageLabelInfo.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7341d579cdd58ef28f67af76dc8f9a2c4592bef2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 24 23:13:27 2021 +0200

    PageLabelInfo::labelToIndex: work on some special no style intervals

    If the interval is length 1 we can assume the index is the base of the
    interval

    Fixes bug #1161

 poppler/PageLabelInfo.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit a973ccdf0ea93022401c6c5cedcdfcaa5cd26866
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 22 22:53:37 2021 +0200

    Remove remmnats of external ps cid bit-16 fonts

 poppler/GfxFont.cc           |  4 ----
 poppler/GfxFont.h            |  4 ----
 poppler/PSOutputDev.cc       | 18 ------------------
 qt5/src/QPainterOutputDev.cc |  4 ++--
 qt6/src/QPainterOutputDev.cc |  4 ++--
 5 files changed, 4 insertions(+), 30 deletions(-)

commit dd373dcee45653390042107ed45a616b6234ea77
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 22 22:25:24 2021 +0200

    Some const changes in GfxFont & friends

 poppler/GfxFont.cc |  6 ++----
 poppler/GfxFont.h  | 10 +++++-----
 2 files changed, 7 insertions(+), 9 deletions(-)

commit 81bcacd21f864d37f94d719b70b7faeb433652b8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 22 17:41:48 2021 +0200

    Ignore Adobe-Identity for non embedded CID fonts

    As far as I understand it is a "this should not work scenario",
    but seems other renderers accept it, so do the same

 poppler/GfxFont.cc | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 4edef6b3de6e262852fda6423fbbe23a16f09389
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 22 17:46:46 2021 +0200

    Move GfxFont::tag to be a std::string

    No need for it to be a GooString *

 poppler/Gfx.cc     | 2 +-
 poppler/GfxFont.cc | 4 +---
 poppler/GfxFont.h  | 8 ++++----
 3 files changed, 6 insertions(+), 8 deletions(-)

commit 757b566fc14b3d9e33b50387afe9dced709006b2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 22 17:38:17 2021 +0200

    Don't crash if the GooString * is null

 goo/GooString.cc | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 24d0445aa4bf0795aff955dbaf1b585f090d3d2b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 18 17:51:37 2021 +0200

    Support Type3 charprocs having Resources dicts

    Doesn't seem to be standard but Adobe supports it so...

    Fixes #1150

 poppler/Gfx.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit 9604005a4e81ebc6bed2c90aa2044dc1cf064dfd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 13 22:19:09 2021 +0200

    Don't say a font is not monospace because the widths are all X and 0

 poppler/GfxFont.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 72902cfa13aecb1827c2a9bba971154253657ecd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 15 19:02:17 2021 +0200

    Fix Android CI

 .gitlab-ci.yml | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 8fc71482b4ef9ceabe6159708dd2747e2648dd7d
Author: Georgiy Sgibnev <georgiy@lab50.net>
Date:   Wed Oct 6 11:47:34 2021 +0300

    The field rendering logic should take into account not only AcroForm's
    DR but also field's DR

 poppler/Annot.cc | 31 +++++++++++++++++++++++++++----
 1 file changed, 27 insertions(+), 4 deletions(-)

commit a246536f330eb6151a63cb1e86c6e0a7398fff64
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 11 23:19:18 2021 +0200

    qt6: remove useless ifdef

 qt6/src/poppler-annotation.cc | 6 ------
 1 file changed, 6 deletions(-)

commit ba6de4c34675c9788d601c3aca3d52b08970d220
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 11 22:13:20 2021 +0200

    Update (C)

 poppler/TextOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a4e927b99e48b783980ceb12c2c7747dcec4cc13
Author: Marek Kasik <mkasik@redhat.com>
Date:   Wed Oct 6 16:45:48 2021 +0200

    TextOutputDev: Respect orientation when selecting words

    Take rotation of text lines into account when visiting
    selection. This works for text rotated by multiples of
    90 degrees.

    Issue #499

 poppler/TextOutputDev.cc | 175
 ++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 142 insertions(+), 33 deletions(-)

commit 3c265bb77f17abaf6031e09cb96833e5b3d128b8
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Oct 11 07:04:36 2021 +1030

    Form is not always a ref

 poppler/Gfx.cc      | 5 +++--
 poppler/OutputDev.h | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 090f89ff26dbea6c82b052502842093c5a954c75
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 11 16:26:57 2021 +0200

    qt6: Require Qt 6.1

    Since the CI is now failing to compile with 6.0

 .gitlab-ci.yml | 30 +++++++++++++++---------------
 CMakeLists.txt |  2 +-
 2 files changed, 16 insertions(+), 16 deletions(-)

commit acd8b7c3bb6c3b35e7c79cc91b52dbb09e5ad9e3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 10 11:00:20 2021 +0200

    Update (C)

 poppler/Gfx.cc                    | 2 +-
 poppler/MarkedContentOutputDev.cc | 1 +
 poppler/MarkedContentOutputDev.h  | 1 +
 poppler/OutputDev.h               | 2 +-
 poppler/StructElement.cc          | 2 +-
 poppler/StructElement.h           | 1 +
 6 files changed, 6 insertions(+), 3 deletions(-)

commit 32f27b888d0e89cd40c086bd8d70381ee474078c
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Oct 4 10:53:54 2021 +1030

    StructElement: support MCID in XObjects

 poppler/Gfx.cc                    |  2 ++
 poppler/MarkedContentOutputDev.cc | 25 +++++++++++++++++++++++--
 poppler/MarkedContentOutputDev.h  |  8 +++++++-
 poppler/OutputDev.h               |  2 ++
 poppler/StructElement.cc          | 15 ++++++++++++---
 poppler/StructElement.h           |  3 ++-
 6 files changed, 48 insertions(+), 7 deletions(-)

commit 95b6c0ddfca22de51fa8197c9273fd8d7fdc4683
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 28 23:44:10 2021 +0200

    pdftohtml: document what zoom means in regard to DPI

 utils/pdftohtml.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c498cfe5a6292f2c696178b69e6fb275f1a4a4da
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Oct 1 09:24:03 2021 +0000

    pdfinfo: add -url option to print all URLs in a PDF

 utils/pdfinfo.1  |  6 ++++++
 utils/pdfinfo.cc | 24 ++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

commit e0a0f50a278df6bc1d3618e685494244d7139783
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Sep 30 16:38:42 2021 +0200

    poppler: cairo: Don't override the antialias settings from the cairo_t

    This partially reverts commit 853e9499, which made CairoOutputDev
    store
    the antialias setting, and applying it to its cairo context.

    Instead, just copy the antialias (and font antialias) setting from the
    passed cairo context to newly created contexts.  That way, the
    application
    can control the antialias settings.

    Use this in pdftocairo to implement its -antialias option.

    Fixes:
    https://gitlab.freedesktop.org/poppler/poppler/-/merge_requests/282
    https://bugs.freedesktop.org/show_bug.cgi?id=94977
    https://gitlab.freedesktop.org/poppler/poppler/merge_requests/89

 poppler/CairoOutputDev.cc | 26 +++++++-------------------
 poppler/CairoOutputDev.h  |  4 +---
 utils/pdftocairo.cc       | 10 +++++++++-
 3 files changed, 17 insertions(+), 23 deletions(-)

commit c7f3f602f8aa648feed2aee8f17c540c19dc1cca
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 1 09:51:25 2021 +0200

    Poppler 21.10.0

 CMakeLists.txt         |  4 ++--
 NEWS                   | 28 ++++++++++++++++++++++++++++
 cpp/Doxyfile           |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt6/src/CMakeLists.txt |  2 +-
 qt6/src/Doxyfile       |  2 +-
 7 files changed, 35 insertions(+), 7 deletions(-)

commit 015fabcd763f862983a1d57077fb6f73e64937ed
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Sep 30 17:48:24 2021 +0200

    glib: Remove incorrect deprecation

    PopplerAttachment is a non-deprecated object, and
    PopplerAttachmentClass
    is its object class structure.  While it was probably not intended
    to be
    public, an object's class struct cannot be deprecated-for the object's
    instance struct.  Remove the erroneous deprecation from commit
    e7fa274dd7c0bd5e66a3b68329d7d56541bb839b.

 glib/poppler-attachment.h | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit f08341bf5b776165923d8110e287b1b8eda26c9c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 27 19:43:09 2021 +0200

    Update (C)

 poppler/Form.cc             | 1 +
 poppler/Form.h              | 1 +
 poppler/SignatureHandler.cc | 1 +
 poppler/SignatureHandler.h  | 1 +
 qt5/src/poppler-form.cc     | 1 +
 qt5/src/poppler-form.h      | 1 +
 qt6/src/poppler-form.cc     | 1 +
 qt6/src/poppler-form.h      | 1 +
 utils/pdfsig.cc             | 1 +
 9 files changed, 9 insertions(+)

commit e5516f8c1827862a7e650dd850b0e919a2d6c51e
Author: Theofilos Intzoglou <int.teo@gmail.com>
Date:   Mon Sep 27 10:07:05 2021 +0000

    Add support for AIA fetching to verify certificates

 poppler/Form.cc             |  8 ++++----
 poppler/Form.h              |  4 ++--
 poppler/SignatureHandler.cc | 12 +++++++++---
 poppler/SignatureHandler.h  |  2 +-
 qt5/src/poppler-form.cc     |  2 +-
 qt5/src/poppler-form.h      |  3 ++-
 qt6/src/poppler-form.cc     |  2 +-
 qt6/src/poppler-form.h      |  3 ++-
 utils/pdfsig.1              |  3 +++
 utils/pdfsig.cc             |  4 +++-
 10 files changed, 28 insertions(+), 15 deletions(-)

commit bf92b981ece533e814d10bc2bae20c8d4f96bdf4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 26 19:16:31 2021 +0200

    Make Catalog::readMetadata return an unique_ptr

    Makes ownership much clearer

 glib/poppler-document.cc    | 5 ++---
 poppler/Catalog.cc          | 8 ++++----
 poppler/Catalog.h           | 2 +-
 poppler/PDFDoc.h            | 2 +-
 qt5/src/poppler-document.cc | 5 ++---
 qt6/src/poppler-document.cc | 5 ++---
 utils/pdfinfo.cc            | 8 +++-----
 7 files changed, 15 insertions(+), 20 deletions(-)

commit 66890c1cbf9c2a37b3bb9ec36562e78d88fb5348
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Sep 26 19:41:39 2021 +0930

    pdfinfo: add metadata flags

 utils/pdfinfo.1  |  12 ++++++
 utils/pdfinfo.cc | 115
 +++++++++++++++++++++++++++++++++----------------------
 2 files changed, 82 insertions(+), 45 deletions(-)

commit 3b8a01589cc8f0e96b4e405050f5c73fc665752e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 25 18:53:53 2021 +0200

    Fix copy&paste mistake of previous commit

    Found by Claude Heiland-Allen

 poppler/SplashOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07ce486444556f4d3b103e41219913f087d20ed2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 25 12:47:37 2021 +0200

    Splash: Fix pattern whose values are not 0 but close enough

    They were causing the resulting calculation to be bad

    The new code looks "weird" as it basically just talkes the max
    value out
    of 2 values in the matrix, but i've played with different values
    and it
    works fine and the test suite can't find any rendering
    regression either

    Issue #1138

 poppler/SplashOutputDev.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d90f153e70b5a2f58d48c3381e7e26a40a891047
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 20 14:41:13 2021 +0200

    SignatureHandler::validateCertificate: Add option to not do OCSP
    revocaction check

    OCSP contacts the internet so we may not want to do it either because
    the device doesn't have internet or because we don't want to "leak"
    information that we're validating something.

 poppler/Form.cc             |  8 ++++----
 poppler/Form.h              |  4 ++--
 poppler/SignatureHandler.cc | 10 +++++++---
 poppler/SignatureHandler.h  |  4 ++--
 qt5/src/poppler-form.cc     |  2 +-
 qt5/src/poppler-form.h      |  1 +
 qt6/src/poppler-form.cc     |  2 +-
 qt6/src/poppler-form.h      |  1 +
 utils/pdfsig.1              | 10 ++++++++--
 utils/pdfsig.cc             |  4 +++-
 10 files changed, 30 insertions(+), 16 deletions(-)

commit 6bdf5710b0fb13bddc1d31c32d6622516221151d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 20 11:45:05 2021 +0200

    pdfsig: Don't infinite loop if the NSS password given is wrong

 utils/pdfsig.cc | 37 ++++++++++++++++++++++++++-----------
 1 file changed, 26 insertions(+), 11 deletions(-)

commit 03cc342c2a06ff7550dd6ce9180c64d92f75a8ce
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 20 09:34:47 2021 +0200

    CI: Also compile the curl-dependent code on build_mingw64_fedora33

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e9e6fe93e89f9a29f10d843e23b8bbe79c54d9bc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 16 12:05:07 2021 +0200

    pdfsig: You can now add signatures from pdfsig

    Issue #1073

 utils/pdfsig.1  |  22 ++++++++++--
 utils/pdfsig.cc | 108
 ++++++++++++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 113 insertions(+), 17 deletions(-)

commit 62f014c45dce190df32313b35ec76f5329321c7f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 16 13:43:00 2021 +0200

    pdfsig: fix typo in man page

    Thanks Adrian Johnson for the heads up

 utils/pdfsig.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 431d2e6c9e367f8fada13205d527b38282200207
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 16 12:33:52 2021 +0200

    PDFDoc::sign: make page be 1 indexed like on the PDFDoc functions

 poppler/PDFDoc.cc                | 2 +-
 qt5/src/poppler-pdf-converter.cc | 2 +-
 qt6/src/poppler-pdf-converter.cc | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 609992087a1e9ba85e24e76f59235b06149c7354
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Sep 15 15:12:24 2021 +0200

    Store GfxFont::encodingName by value, in a std::string

    Storing by value saves various heap allocations.  Using std::string
    instead of GooString brings the code closer to standard C++.

 glib/poppler-document.cc |  9 ++++-----
 poppler/FontInfo.cc      |  7 +++----
 poppler/FontInfo.h       |  6 +++---
 poppler/GfxFont.cc       | 25 +++++++++++--------------
 poppler/GfxFont.h        |  5 +++--
 utils/pdffonts.cc        |  4 ++--
 6 files changed, 26 insertions(+), 30 deletions(-)

commit a646ed9b0a544b87d4998a7209b340970db6a53d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 16 12:07:47 2021 +0200

    Update (C)

 poppler/PDFDoc.cc         | 1 +
 poppler/PDFDoc.h          | 1 +
 qt5/src/poppler-private.h | 1 +
 qt6/src/poppler-private.h | 1 +
 utils/pdfsig.cc           | 1 +
 5 files changed, 5 insertions(+)

commit a03ec4540bb7cf5aa462b818c335965c4f7f1d2a
Author: Georgiy Sgibnev <georgiy@sgibnev.com>
Date:   Thu Sep 16 10:04:45 2021 +0000

    Correct encoding of signature's properties Reason & Location + Qt API

 poppler/Form.cc                    | 16 ++++++++++------
 poppler/Form.h                     | 12 +++++++-----
 poppler/PDFDoc.cc                  |  4 ++--
 poppler/PDFDoc.h                   |  4 +++-
 poppler/UTF.cc                     | 23 +++++++++++++++++++++++
 poppler/UTF.h                      |  7 +++++++
 qt5/src/poppler-pdf-converter.cc   | 28 ++++++++++++++++++++++++++--
 qt5/src/poppler-private.h          |  2 ++
 qt5/src/poppler-qt5.h              | 21 +++++++++++++++++++++
 qt5/tests/check_utf_conversion.cpp |  5 +++++
 qt6/src/poppler-pdf-converter.cc   | 30 +++++++++++++++++++++++++++---
 qt6/src/poppler-private.h          |  2 ++
 qt6/src/poppler-qt6.h              | 21 +++++++++++++++++++++
 qt6/tests/check_utf_conversion.cpp |  5 +++++
 utils/pdfsig.cc                    |  9 +++++----
 15 files changed, 166 insertions(+), 23 deletions(-)

commit 5960933f6e22df200e4d6bc6edb799e38b06df42
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 15 17:55:41 2021 +0200

    Move the code to sign a document from the qt frontend to PDFDoc

 poppler/Annot.cc                 |  2 +-
 poppler/Annot.h                  |  2 +-
 poppler/PDFDoc.cc                | 71
 ++++++++++++++++++++++++++++++++++++++++
 poppler/PDFDoc.h                 |  3 ++
 qt5/src/poppler-pdf-converter.cc | 70
 ++-------------------------------------
 qt6/src/poppler-pdf-converter.cc | 70
 ++-------------------------------------
 6 files changed, 82 insertions(+), 136 deletions(-)

commit 5cc48423fe42202ba5a0744eaa33193cbb85eab4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 16 10:23:25 2021 +0200

    pdfsig: Rework the param check flow

    It's easier to understand now

 utils/pdfsig.cc | 71
 ++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 48 insertions(+), 23 deletions(-)

commit 4eb0f56a92113de45e4ec0e10e90f23d4a9227bc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 16 10:06:26 2021 +0200

    pdfsig: setNSSDir needs to be called before
    getAvailableSigningCertificates

 utils/pdfsig.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7e267e09a4927c45ff5a38e7d62340c94772e9a2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 16 09:34:58 2021 +0200

    pdfsig: Add a way to list certificate nicknames

    Otherwise it may be a bit hard to figure out what needs to be
    passed to
    the -nick function when signing

 utils/pdfsig.1  |  6 ++++++
 utils/pdfsig.cc | 36 +++++++++++++++++++++++++++++++++++-
 2 files changed, 41 insertions(+), 1 deletion(-)

commit b7021c2f409af1537b653488a3cbc2b01476b8ce
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 16 00:03:41 2021 +0200

    Update (C)

 poppler/UTF.cc | 2 +-
 poppler/UTF.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b10e715b6a12d63922e428512d2d14682fd1cefc
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Sep 16 06:59:14 2021 +0930

    Ignore custom metadata that is not a string

 utils/pdfinfo.cc | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit 2bcf030e294cddf47abb63d53944b5e932848917
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Sep 15 22:31:10 2021 +0930

    pdfinfo: Add -custom option to print custom metadata

 poppler/UTF.cc   | 436
 +++++++++----------------------------------------------
 poppler/UTF.h    |  10 ++
 utils/pdfinfo.1  |   3 +
 utils/pdfinfo.cc |  68 +++++++++
 4 files changed, 148 insertions(+), 369 deletions(-)

commit 904af9ab0c32309e0ccb845837180c5c4afba0ff
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 15 00:36:05 2021 +0200

    Properly scale the default stamps to the bbox we want

 poppler/Annot.cc                             | 66
 +++++++++++++++++++++-------
 poppler/annot_stamp_approved.h               |  4 ++
 poppler/annot_stamp_as_is.h                  |  4 ++
 poppler/annot_stamp_confidential.h           |  4 ++
 poppler/annot_stamp_departmental.h           |  4 ++
 poppler/annot_stamp_draft.h                  |  4 ++
 poppler/annot_stamp_experimental.h           |  4 ++
 poppler/annot_stamp_expired.h                |  4 ++
 poppler/annot_stamp_final.h                  |  4 ++
 poppler/annot_stamp_for_comment.h            |  4 ++
 poppler/annot_stamp_for_public_release.h     |  4 ++
 poppler/annot_stamp_not_approved.h           |  4 ++
 poppler/annot_stamp_not_for_public_release.h |  4 ++
 poppler/annot_stamp_sold.h                   |  4 ++
 poppler/annot_stamp_top_secret.h             |  4 ++
 15 files changed, 107 insertions(+), 15 deletions(-)

commit 5cd0e95e19ec3ba031a65dda618f8f068304ee01
Author: Mahmoud Khalil <mahmoudkhalil11@gmail.com>
Date:   Wed Jun 9 21:47:17 2021 +0200

    Add default appearance for the well known stamp names

    Adds support for the standard annotations icon like Approved, Draft,
    Experimental, etc.

    Here's what has been done, in order to generate the AP streams:

     * I used inkscape to modify Okular's stamps.svg file in order to
     extract each icon
     * Used cairosvg to convert the icon into a PDF file
     * Used qpdf to extract the uncompressed stream of the AP and embed
     that into the new .h files

 poppler/Annot.cc                             |  89 ++++-
 poppler/Annot.h                              |   3 +-
 poppler/annot_stamp_approved.h               | 339 +++++++++++++++++++
 poppler/annot_stamp_as_is.h                  | 130 ++++++++
 poppler/annot_stamp_confidential.h           | 188 +++++++++++
 poppler/annot_stamp_departmental.h           | 466
 +++++++++++++++++++++++++++
 poppler/annot_stamp_draft.h                  | 135 ++++++++
 poppler/annot_stamp_experimental.h           | 384 ++++++++++++++++++++++
 poppler/annot_stamp_expired.h                | 243 ++++++++++++++
 poppler/annot_stamp_final.h                  | 116 +++++++
 poppler/annot_stamp_for_comment.h            | 223 +++++++++++++
 poppler/annot_stamp_for_public_release.h     | 299 +++++++++++++++++
 poppler/annot_stamp_not_approved.h           | 394 ++++++++++++++++++++++
 poppler/annot_stamp_not_for_public_release.h | 333 +++++++++++++++++++
 poppler/annot_stamp_sold.h                   | 113 +++++++
 poppler/annot_stamp_top_secret.h             | 359 +++++++++++++++++++++
 16 files changed, 3807 insertions(+), 7 deletions(-)

commit b151180cd5a30b19a2d7a81e67c1be418facd4fb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 13 23:22:52 2021 +0200

    Update (C)

 goo/gmem.h | 1 +
 1 file changed, 1 insertion(+)

commit 247119e3db4a19d57000f15d350165343b0e9092
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Mon Sep 13 22:52:50 2021 +0200

    greallocn(checkoverflow = true, free_p = true): if memory allocation
    fails, free the previous pointer to avoid memory leak

 goo/gmem.h | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 2549552043acf0a98f64360853ce37e6e045c35a
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Mon Sep 13 15:03:45 2021 +0200

    Splash::gouraudTriangleShadedFill(): relax assertion threshold

    On the reproducer file of
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=38626, the 1e-9
    threshold is hit. Relaxing it to 1e-7 avoids the assertion.

 splash/Splash.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1901ee99bf46beac43d129bb3f6ad2f9ed758af
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 12 22:29:40 2021 +0200

    Misc annotation stamp improvements

    Mark a few variables/functions as const
    Remove unused function from AnnotStampImageHelper.h
    Remove unneded GooString from AnnotStamp::generateStampAppearance
    Set pointer to null after delete in AnnotStamp::clearCustomImage
    only invalidate appearance in AnnotStamp::clearCustomImage if we
    did something
    Add since markers to the new public API

 poppler/Annot.cc                | 16 ++++++++--------
 poppler/Annot.h                 |  4 ++--
 poppler/AnnotStampImageHelper.h |  5 ++---
 qt5/src/poppler-annotation.cc   | 10 +++++-----
 qt5/src/poppler-annotation.h    |  8 ++++++++
 qt6/src/poppler-annotation.cc   | 10 +++++-----
 qt6/src/poppler-annotation.h    |  8 ++++++++
 7 files changed, 38 insertions(+), 23 deletions(-)

commit 3fa04293eb7005526c762ddab28e020fd2808aca
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 12 22:17:45 2021 +0200

    Update (C)

 poppler/Annot.cc                     | 1 +
 poppler/Annot.h                      | 1 +
 qt5/src/poppler-annotation-private.h | 1 +
 qt5/src/poppler-annotation.cc        | 1 +
 qt5/src/poppler-annotation.h         | 1 +
 qt6/src/poppler-annotation-private.h | 1 +
 qt6/src/poppler-annotation.cc        | 1 +
 qt6/src/poppler-annotation.h         | 1 +
 8 files changed, 8 insertions(+)

commit 3ad10c30433f19da65f638326336865504fb972a
Author: Mahmoud Khalil <mahmoudkhalil11@gmail.com>
Date:   Sun Sep 12 20:14:24 2021 +0000

    Improve support for custom stamp annotations

    This commit improves Poppler support for custom stamp
    annotations, by adding a new class called AnnotStampImageHelper in
    Poppler core.

    The new class takes image data and create an Image
    XObject in the document, the AnnotStamp class has been modified to
    support the new helper class and to reference the created XObject.

    This new implementation has been exposed in the qt5 wrapper as well
